clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::MainFileMacros Struct Reference

`#include <CollectMacros.h>`

Collaboration diagram for clang::clangd::MainFileMacros:
[legend]

## Public Attributes
llvm::StringSet | Names
llvm::DenseMap< SymbolID, std::vector< Range > > | MacroRefs
std::vector< Range > | UnknownMacros
std::vector< Range > | SkippedRanges

## Detailed Description

Definition at line 24 of file CollectMacros.h.

## Member Data Documentation

## ◆ MacroRefs

llvm::DenseMap<SymbolID, std::vector<Range> > clang::clangd::MainFileMacros::MacroRefs

Definition at line 28 of file CollectMacros.h.

Referenced by clang::clangd::getSemanticHighlightings(), and clang::clangd::SymbolCollector::handleMacros().

## ◆ Names

llvm::StringSet clang::clangd::MainFileMacros::Names

Definition at line 25 of file CollectMacros.h.

## ◆ SkippedRanges

std::vector<Range> clang::clangd::MainFileMacros::SkippedRanges

Definition at line 34 of file CollectMacros.h.

## ◆ UnknownMacros

std::vector<Range> clang::clangd::MainFileMacros::UnknownMacros

Definition at line 32 of file CollectMacros.h.

Referenced by clang::clangd::getSemanticHighlightings().

The documentation for this struct was generated from the following file:

- CollectMacros.h